# Handle On-Hold Activity Action

Process actions (retry/ignore) for activities in ON_HOLD state

Endpoint: POST /rmg/api/orchestration/activity/{activityExecutionId}/onhold/action
Version: 1.0
Security: x-api-key

## Path parameters:

  - `activityExecutionId` (string, required)
    The ID of the activity execution

## Header parameters:

  - `Harness-Account` (string, required)
    Account Identifier

## Query parameters:

  - `orgIdentifier` (string)
    Organisation Identifier

  - `projectIdentifier` (string)
    Project Identifier

## Request fields (application/json):

  - `action` (string, required)
    The action to perform on the on-hold activity. Must be 'retry' if retryWith is present.
    Enum: "retry", "ignore"

  - `retryWith` (string)
    Specifies the retry mechanism. If present, action must be 'retry'. Currently only SUBPROCESS is supported.
    Enum: "SUBPROCESS"

  - `subprocessInfo` (object)

  - `subprocessInfo.processIdentifier` (string, required)
    Process identifier. Required when retryWith is SUBPROCESS.

  - `subprocessInfo.processInputIdentifier` (string, required)
    Process input identifier. Required when retryWith is SUBPROCESS.

  - `subprocessInfo.releaseInput` (string, required)
    Release input YAML. Required when retryWith is SUBPROCESS.

  - `subprocessInfo.output` (object, required)
    Output map with key-value pairs.

  - `inputs` (array)
    Optional list of input values for retrying the on-hold activity. Only valid when action is 'retry'.

  - `inputs.name` (string, required)
    Name of the input parameter

  - `inputs.value` (any, required)
    Flexible type that accepts any JSON value (string, number, boolean, object, or array)

  - `inputs.type` (string, required)
    Type of an input variable for parameters and process inputs.
    Enum: "string", "list", "boolean", "number", "object", "service", "multiService", "environment", "multiEnvironment", "infrastructure", "multiInfrastructure", "connector"

  - `outputs` (array)
    Optional list of output values for ignoring the on-hold activity. Only valid when action is 'ignore'.

  - `outputs.name` (string, required)
    Name of the output parameter

  - `outputs.value` (any, required)
    Flexible type that accepts any JSON value (string, number, boolean, object, or array)

## Response 200 fields (application/json):

  - `activityExecutionId` (string)
    The ID of the processed activity execution

  - `action` (string)
    The action that was performed

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail

  - `code` (string)
    canonical error code name
    Enum: "BAD_REQUEST", "UNAUTHORIZED", "FORBIDDEN", "NOT_FOUND", "INTERNAL_SERVER_ERROR"


